# Environmental Data The Environmental data section displays the near real-time temperature and humidity conditions for an entire IBX, and for the cooling zones where your cages reside. You can use this section to monitor these conditions. > **Tip** > > A cooling zone is an area of the data center supported by common mechanical infrastructure. > **Tip** > > To specify whether temperature is shown in Fahrenheit or Celsius, see [User Preferences](https://docs.equinix.com/smart-view/smartview-dashboard.md#user-preferences). ## Temperature and Humidity Data[​](#temperature-and-humidity-data "Direct link to Temperature and Humidity Data") * Portal * API To view this information, select **All Zones** or a specific zone from the Environmental tile of an IBX on the Dashboard. ![](https://docs.equinix.com/assets/images/environmental-data-card-9be1a54c1464e1830a32651021d393e3.png) This page shows: * The current temperature and humidity outside the IBX * The average temperature and humidity of all cooling zones inside the IBX * The median temperature and humidity of all environmental sensors inside a cooling zone We use median readings because sensors in a cooling zone are installed at various locations to monitor and manage the operation of the cooling plant, and the heat load generated by the equipment at the site. These locations include hot air returns, cold air distribution, areas near the ceiling, and areas in the cages. * Trends of environmental conditions over different time periods, such as now compared to yesterday, now compared to last week, and now compared to last month * An option to create custom alerts * The ability to view, customize, and export a trend of environmental data ![](https://docs.equinix.com/assets/images/environmental-details-462b24dd3072adc6f6a8867cc39a854c.png) If you are using the API, you must submit an authentication token, see [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions. To view temperature and humidity data, send a `GET` request to the [`/environment/v1/current`](https://docs.equinix.com/api-catalog/smartviewv2/smartview-environment-apis/getcurrentenvironmentdata.md) endpoint. Specify your account number and IBX location information as query parameters in your request. Sample cURL request: ``` curl -X GET 'https://api.equinix.com/environment/v1/current?accountNo=&ibx=&levelType=IBX&levelValue=' -H 'Authorization: Bearer ' ``` To further filter your data, use `levelType` with one of the supported values: `IBX` or `ZONE`, and provide the matching `levelValue`. Sample cURL request: ``` curl -X GET 'https://api.equinix.com/environment/v1/current?accountNo=&ibx=&levelType=ZONE&levelValue=' -H 'Authorization: Bearer ' ``` > **Note** > > If you do not know the IBX code, zone, or cage ID, use the [`/smartview/v1/hierarchy/location`](https://docs.equinix.com/api-catalog/smartviewv2/smartview-hierarchy-apis/getlocationhierarchy.md) endpoint to retrieve your location hierarchy data. ### Cooling Zone Data[​](#cooling-zone-data "Direct link to Cooling Zone Data") * Portal * API To see the temperature and humidity within a specific cooling zone, choose it from the drop-down list in the IBX. ![](https://docs.equinix.com/assets/images/environmental-cooling-zones-c22f1aaf059fd811fcc30ec610521928.png) To view cooling zone data, send a `GET` request to the [`/environment/v1/current`](https://docs.equinix.com/api-catalog/smartviewv2/smartview-environment-apis/getcurrentenvironmentdata.md) endpoint. Specify your account number and IBX location information as query parameters in your request. Sample cURL request: ``` curl -X GET 'https://api.equinix.com/environment/v1/current?accountNo=&ibx=&levelType=ZONE&levelValue=' -H 'Authorization: Bearer ' ``` The response returns the current environmental readings for the specified location, including values such as temperature, humidity, and the reading timestamp. Sample response (truncated): ``` { "temperature": 72.5, "humidity": 45.2, "timestamp": "2024-05-01T14:30:00Z" } ``` ### Data Trends[​](#data-trends "Direct link to Data Trends") * Portal * API Switch to **Graph View** to view the data in Trends and Tasks in a graphical format. ![](https://docs.equinix.com/assets/images/environmental-graph-fc76edc78f9058d94a933f77d387cf8a.png) Choose up to five cooling zones or cabinets from the drop-down filter below the graph to see a graphical comparison of their environmental conditions. The system synchronizes selections between both graphs. Choose a timeframe to trend the data you want to view from the last day, week, or month. To customize the date range, use the calendar. To view trending environmental data, send a `GET` request to the [`/environment/v1/trending`](https://docs.equinix.com/api-catalog/smartviewv2/smartview-environment-apis/gettrendingenvironmentdata.md) endpoint. Specify your account number, IBX location, data point, level type, level value, interval, and date range as query parameters in your request. Sample cURL request: ``` curl -X GET 'https://api.equinix.com/environment/v1/trending?accountNo=&ibx=&dataPoint=&levelType=&levelValue=&interval=&fromDate=&toDate=' -H 'Authorization: Bearer ' ``` ### Generate Reports[​](#generate-reports "Direct link to Generate Reports") Export the configured trend of a dataset to create a report. You can generate a PDF document from the data used to generate the trend. Create specific reports or view all **Recently Generated** reports, **Advanced Reports**, and **Saved Templates** from the lower section of the page. ![](https://docs.equinix.com/assets/images/environmental-reports-3e5104252eefefbb750c79ad209a6d01.png)